Bug 1970984 - Add pipeline annotation to Secrets which are created for a private repo
Summary: Add pipeline annotation to Secrets which are created for a private repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.z
Assignee: Mohammed Saud
QA Contact: spathak@redhat.com
Harsh Mishra
URL:
Whiteboard:
Depends On: 1970485
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-11 15:34 UTC by Mohammed Saud
Modified: 2021-09-06 06:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, pipelines created in the git import flow for private repositories failed to run. This issue has now been fixed by adding the secret name to the pipeline's `ServiceAccount` object annotations, and by adding pipeline-specific annotations to the provided secret.
Clone Of: 1970485
Environment:
Last Closed: 2021-07-14 07:16:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9224 0 None open [release-4.6] Bug 1970984: Add pipeline annotation to secrets for private git repo import with pipeline 2021-06-18 07:15:19 UTC
Red Hat Product Errata RHBA-2021:2641 0 None None None 2021-07-14 07:16:53 UTC

Comment 4 spathak@redhat.com 2021-06-28 16:51:46 UTC
Verified on build version: 4.6.0-0.nightly-2021-06-25-031210
Browser: Google Chrome 89

Comment 9 errata-xmlrpc 2021-07-14 07:16:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.38 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2641


Note You need to log in before you can comment on or make changes to this bug.